function onBegin()
	makeUnskippable()
	setFlag("endFadingBeams",false)
	setFlag("endCirclePre",false)
	setFlag("endCircleA",false)
	setFlag("endCircleB",false)
	setFlag("endCircleC",false)
	setFlag("endCircleParticlesA",false)
	setFlag("endCircleParticlesB",false)
	setFlag("endCircleParticlesC",false)
	setFlag("endSongCoinOutline",false)
	setFlag("endSong",false)
	for i=1,6,1 do
		for j=1,3,1 do
			setFlag("song"..tostring(i).."coin"..tostring(j).."Display",false)
		end
	end
	while true do
		if getFlag("endSong") then
			endCutscene()
		end
		if (celeste.Input.MenuJournal.Pressed and not player.Dead) then
			if getFlag("VivHelper/PlayerHasGoldenBerry") then
				playSound("event:/eva/error")
			else
				disableMovement()
				setPlayerState(0, false)
				playSound("event:/CrossoverCollab/Xelk1/SFX/LevelSelected")
				teleportTo(164,-16,"menu2","Transition")
			end
		end
		wait()
	end
end